Bug 308762 - Confusing error message, please revise
Summary: Confusing error message, please revise
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.6.0
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-21 17:11 UTC by Dotan Cohen
Modified: 2012-10-23 14:23 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2012-10-21 17:11:42 UTC
When updating my music collection, I got the following error:
"The collection scanner reported the following errors:
When commiting track /home/music/ללא שפה/Camille_Saint-Saëns_-_The_Carnival_of_the_Animals.ogg with uid amarok-sqltrackuid://ae4fd10635a1059004c286e93596b0e7 we detected that the same uid is already commited. This means that you most probably have duplicates in your collection folders. The offending track is /home/music/כניסה/Saint-Saens_Carnival.ogg.
In most cases this means that not all of your tracks were imported.
Further errors will only be reported on the console."

I suggest rewording this:
"Possible duplicates found:
/home/music/ללא שפה/Camille_Saint-Saëns_-_The_Carnival_of_the_Animals.ogg 
/home/music/כניסה/Saint-Saens_Carnival.ogg"

Thanks.
Comment 1 Matěj Laitl 2012-10-23 13:29:06 UTC
Git commit a44bf6e423347476f0f23a7536b78b7af1a44d4b by Matěj Laitl.
Committed on 23/10/2012 at 15:26.
Pushed by laitl into branch 'master'.

ScanManager: better dialog on collection scanner errors

We now link to http://userbase.kde.org/Amarok/Manual/Various/TroubleshootingAndCommonProblems#Duplicate_Tracks
and format the message much more nicely.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +9    -14   src/core-impl/collections/db/ScanManager.cpp
M  +0    -1    src/core-impl/collections/db/ScanManager.h
M  +5    -6    src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp

http://commits.kde.org/amarok/a44bf6e423347476f0f23a7536b78b7af1a44d4b
Comment 2 Dotan Cohen 2012-10-23 14:19:27 UTC
Sounds much better, thanks Matej!
Comment 3 Matěj Laitl 2012-10-23 14:23:17 UTC
(In reply to comment #2)
> Sounds much better, thanks Matej!

With pleasure. :-)